### Method

# Gdk Deviceget_caps_lock_state

#### Declaration [src]

    gboolean
    gdk_device_get_caps_lock_state (
      GdkDevice* device
    )

#### Description [src]

Retrieves whether the Caps Lock modifier of the keyboard is locked.

This is only relevant for keyboard devices.

Gets property | `Gdk.Device:caps-lock-state`

#### Return value

Type: `gboolean`

`TRUE` if Caps Lock is on for `device`.